Package twisted :: Package python :: Module logfile :: Class BaseLogFile

[show private | hide private]
[frames | no frames]

## Class BaseLogFile

Known Subclasses:
  `LogFile`, `DailyLogFile`

The base class for a log file that can be rotated.

Method Summary
| `__init__(self, name, directory, defaultMode)`
| `__getstate__(self)`
| `__setstate__(self, state)`
| ``close`(self)` Close the file.
| ``flush`(self)` Flush the file.
| ``getCurrentLog`(self)` Return a LogReader for the current log file.
| ``shouldRotate`(self)` Override with a method to that returns true if the log should be rotated
| ``write`(self, data)` Write some data to the file.

Class Variable Summary
`list` | `synchronized`

Method Details

### close(self)

Close the file.

The file cannot be used once it has been closed.

### flush(self)

Flush the file.

### getCurrentLog(self)

Return a LogReader for the current log file.

### shouldRotate(self)

Override with a method to that returns true if the log should be rotated

### write(self, data)

Write some data to the file.

Class Variable Details

### synchronized

  Type:
    `list`
  Value:

        ['write', 'rotate']

Generated by Epydoc 1.1 on Thu May 8 13:16:48 2003 | http://epydoc.sf.net